POST /calls

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/calls

Make an outbound phone call.

Place an outbound call from a phone number in your account. If no lead or schedule is specified, a lead is created or matched automatically; the call fails if the schedule or offer cannot be resolved from the from number.

Params

Param name Description
serializer
Optional

This endpoint supports multiple response formats. Pass serializer=name to retrieve data in an alternate format.

  • Must be a value contained in the pick list:
    Acceptable ValueDescription
    callDefault response format.
    call_gridModern response format that returns various foreign keys for use with other API endpoints.
from
Required

The call will originate from this address (+E.164 formatted phone number.) Example: +18665550001

  • Must be a String

to
Required

The call will be placed to this receiving address (+E.164 formatted phone number.) Example: +18665550001

  • Must be a String

lead_id
Optional

Optional. Associate this call with this lead.

schedule_id
Optional

Optional. If a lead exists on this schedule, this call will be associated with it. If no lead currently exists, one will be created, and it will be added to this schedule.

offer_id
Optional

Optional. Associate this call with a matching lead on this offer. If no lead currently exists, one will be created on this offer.